
From: Dominik Brodowski <linux@dominikbrodowski.net>

Remove unnecessary includes in ds.c and pcmcia_ioctl.c

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/ds.c           |   22 ++--------------------
 25-akpm/drivers/pcmcia/pcmcia_ioctl.c |   17 +----------------
 2 files changed, 3 insertions(+), 36 deletions(-)

diff -puN drivers/pcmcia/ds.c~pcmcia-remove-unneeded-includes-in-dsc drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-remove-unneeded-includes-in-dsc	2005-03-20 15:59:40.000000000 -0800
+++ 25-akpm/drivers/pcmcia/ds.c	2005-03-20 15:59:40.000000000 -0800
@@ -10,41 +10,23 @@
  * are Copyright (C) 1999 David A. Hinds.  All Rights Reserved.
  *
  * (C) 1999		David A. Hinds
- * (C) 2003 - 2004	Dominik Brodowski
+ * (C) 2003 - 2005	Dominik Brodowski
  */
 
 #include <linux/config.h>
+#include <linux/kernel.h>
 #include <linux/module.h>
-#include <linux/moduleparam.h>
 #include <linux/init.h>
-#include <linux/kernel.h>
-#include <linux/major.h>
-#include <linux/string.h>
 #include <linux/errno.h>
-#include <linux/slab.h>
-#include <linux/mm.h>
-#include <linux/fcntl.h>
-#include <linux/sched.h>
-#include <linux/smp_lock.h>
-#include <linux/timer.h>
-#include <linux/ioctl.h>
-#include <linux/proc_fs.h>
-#include <linux/poll.h>
-#include <linux/pci.h>
 #include <linux/list.h>
 #include <linux/delay.h>
-#include <linux/kref.h>
 #include <linux/workqueue.h>
 #include <linux/crc32.h>
 #include <linux/firmware.h>
 
-#include <asm/atomic.h>
-
 #define IN_CARD_SERVICES
-#include <pcmcia/version.h>
 #include <pcmcia/cs_types.h>
 #include <pcmcia/cs.h>
-#include <pcmcia/bulkmem.h>
 #include <pcmcia/cistpl.h>
 #include <pcmcia/ds.h>
 #include <pcmcia/ss.h>
diff -puN drivers/pcmcia/pcmcia_ioctl.c~pcmcia-remove-unneeded-includes-in-dsc drivers/pcmcia/pcmcia_ioctl.c
--- 25/drivers/pcmcia/pcmcia_ioctl.c~pcmcia-remove-unneeded-includes-in-dsc	2005-03-20 15:59:40.000000000 -0800
+++ 25-akpm/drivers/pcmcia/pcmcia_ioctl.c	2005-03-20 15:59:40.000000000 -0800
@@ -19,36 +19,21 @@
 
 
 #include <linux/config.h>
+#include <linux/kernel.h>
 #include <linux/module.h>
-#include <linux/moduleparam.h>
 #include <linux/init.h>
-#include <linux/kernel.h>
 #include <linux/major.h>
-#include <linux/string.h>
 #include <linux/errno.h>
-#include <linux/slab.h>
-#include <linux/mm.h>
-#include <linux/fcntl.h>
-#include <linux/sched.h>
-#include <linux/smp_lock.h>
-#include <linux/timer.h>
 #include <linux/ioctl.h>
 #include <linux/proc_fs.h>
 #include <linux/poll.h>
 #include <linux/pci.h>
-#include <linux/list.h>
-#include <linux/delay.h>
-#include <linux/kref.h>
 #include <linux/workqueue.h>
-#include <linux/crc32.h>
-
-#include <asm/atomic.h>
 
 #define IN_CARD_SERVICES
 #include <pcmcia/version.h>
 #include <pcmcia/cs_types.h>
 #include <pcmcia/cs.h>
-#include <pcmcia/bulkmem.h>
 #include <pcmcia/cistpl.h>
 #include <pcmcia/ds.h>
 #include <pcmcia/ss.h>
_
